Bug 907425 (CVE-2013-0254)

Summary: CVE-2013-0254 qt: QSharedMemory class created shared memory segments with insecure permissions
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: security-response-team, than
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130205,reported=20130202,source=upstream,cvss2=4.4/AV:L/AC:M/Au:N/C:P/I:P/A:P,rhel-5/qt=notaffected,rhel-6/qt=affected,rhel-6/qt3=notaffected,fedora-all/qt=affected,fedora-all/qt3=notaffected
Fixed In Version: Qt 5.0.1, Qt 4.8.5, Qt 4.7.6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 907928, 921720, 921721    
Bug Blocks: 907429    

Description Jan Lieskovsky 2013-02-04 06:10:39 EST
A security flaw was found in the way QSharedMemory class implementation of the Qt toolkit created shared memory segments (they were created with world-readable and world-writeable permissions). A local attacker could use this flaw to read or alter content of particular shared memory segment, possibly leading to their ability to obtain sensitive information or influence behaviour of shared memory segment reader process.
Comment 3 Jan Lieskovsky 2013-02-04 06:16:58 EST
This issue did NOT affect the version of the qt package, as shipped with Red Hat Enterprise Linux 5 and version of the qt3 package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the version of the qt package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the qt package, as shipped with Fedora release of 16, 17, and 18.

--

This issue did not affect the version of the qt3 package, as shipped with Fedora release of 16, 17, and 18.
Comment 4 Jan Lieskovsky 2013-02-04 08:26:13 EST
The CVE identifier of CVE-2013-0254 has been assigned to this issue.
Comment 7 Jan Lieskovsky 2013-02-05 09:50:38 EST
Public now via:

http://article.gmane.org/gmane.comp.lib.qt.devel/9759
Comment 8 Jan Lieskovsky 2013-02-05 09:54:36 EST
Created qt tracking bugs for this issue

Affects: fedora-all [bug 907928]
Comment 10 Fedora Update System 2013-02-12 23:35:35 EST
qt-4.8.4-11.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-02-24 03:52:31 EST
qt-4.8.4-11.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Murray McAllister 2013-03-21 06:59:06 EDT
Acknowledgements:

Red Hat would like to thank the Qt project for reporting this issue. Upstream acknowledges Tim Brown and Mark Lowe of Portcullis Computer Security Ltd. as the original reporters.
Comment 15 errata-xmlrpc 2013-03-21 14:26:52 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0669 https://rhn.redhat.com/errata/RHSA-2013-0669.html